<template>
  <div id="app">
    <header>
      <span>App'iculture</span>

    </header>
    <main>
      <b-navbar toggleable="md" type="dark" variant="dark">
        <b-navbar-toggle target="nav_collapse"></b-navbar-toggle>
        <b-navbar-brand to="/">App'iculture</b-navbar-brand>
        <b-collapse is-nav id="nav_collapse">
          <b-navbar-nav>
            <b-nav-item to="/">Home</b-nav-item>
            <b-nav-item to="/">Configuration</b-nav-item>
            <b-nav-item to="/gestionRuchers">Gestion des ruches et ruchers</b-nav-item>
            <b-nav-item to="/">Liste des ruches à visiter</b-nav-item>
            <b-nav-item to="/">Cartes des ruches</b-nav-item>
            <b-nav-item to="/">Visite d'un rucher</b-nav-item>

            <b-nav-item href="#" @click.prevent="login" v-if="!activeUser">Login</b-nav-item>
            <b-nav-item href="#" @click.prevent="logout" v-else>Logout</b-nav-item>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
      <img src="./assets/logo.png" alt="Vue.js PWA">

      <router-view>
      </router-view>
    </main>
  </div>

</template>

<script>
export default {
  name: 'app'
}
</script>

<style>
body {
  margin: 0;
}

#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

main {
  text-align: center;
  margin-top: 40px;
}

header {
  margin: 0;
  height: 56px;
  padding: 0 16px 0 24px;
  background-color: #35495E;
  color: #ffffff;
}

header span {
  display: block;
  position: relative;
  font-size: 20px;
  line-height: 1;
  letter-spacing: .02em;
  font-weight: 400;
  box-sizing: border-box;
  padding-top: 16px;
}
</style>
